- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# xml_chooser.hh File Reference

XML specialized class, providing methods to create `` <labelType> tag and to create labels in the XML document. More...

Include dependency graph for xml_chooser.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::xml
## Classes
struct | xml_chooser_base
| Chooser base class. More...
struct | xml_chooser
| Default Chooser class. More...
struct | xml_chooser< Automata< S >, T >
| Chooser specialization for automata. More...
struct | xml_chooser< Transducer< S >, T >
| Chooser specialization for transducers on P(B*). More...
## Defines
#define | FMPtype
| Chooser specialization for FMP transducers.

## Detailed Description

XML specialized class, providing methods to create `` <labelType> tag and to create labels in the XML document.

See also:
  vcsn::xml::xml_converter, vcsn::xml::Node

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file xml_chooser.hh.

## Define Documentation

#define FMPtype

Value:

    Automata<                                                               \
          vcsn::algebra::Series<S, vcsn::algebra::FreeMonoidProduct<M1, M2> > \
          >, T

Chooser specialization for FMP transducers.

- `S` Automaton semiring type.
- `T` Automaton implementation type.
- `M1` Automaton first monoid type.
- `M2` Automaton second monoid type.

Definition at line 125 of file xml_chooser.hh.